Vai al contenuto

Seedream 5.0 Pro Edit

Integra

ID del modello bytedance/seedream/v5/pro/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bytedance/seedream/v5/pro/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Place the sneaker from image 1 on the desk of the office from image 2, natural lighting",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg",
      "https://content.doitong.com/images/gp/image_20260610003801_541d9719_316882.png"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

File come nell'esempio: 0,14 $ 140 crediti API i tuoi file vengono misurati prima dell'esecuzione Esegui in questa pagina

Ottieni la chiave API
ByteDance Modifica immagini #editing#multi-reference#2k

Modifica multi-immagine con Seedream 5.0 Pro, che combina fino a dieci riferimenti in un'unica immagine 2K.

Creato su Doitong

Lavori pubblici creati con Seedream 5.0 Pro dalla community di Doitong. Riutilizza un prompt con un clic.

Lavori pubblici mostrati: 16
Art style: 3D animated Cocomelon style, bright saturated colors, soft rounded shapes, warm cheerf...

Art style: 3D animated Cocomelon style, bright saturated colors, soft rounded shapes, warm cheerful lighting, child-friendly cartoon aesthetic. Бенни. Маленький мальчик ~2-3 лет, похож на JJ из Cocomelon но чуть отличается: круглое личико, большие карие глаза, тёмные короткие волосы, румяные...

Art style: 3D animated Cocomelon style, bright saturated colors, soft rounded shapes, warm cheerf...

Art style: 3D animated Cocomelon style, bright saturated colors, soft rounded shapes, warm cheerful lighting, child-friendly cartoon aesthetic. Full-length view, the entire figure visible from head to feet, standing upright and centered, a gentle young mother named Jenny, around thirty years old....

Art style: 3D animated Cocomelon style, bright saturated colors, soft rounded shapes, warm cheerf...

Art style: 3D animated Cocomelon style, bright saturated colors, soft rounded shapes, warm cheerful lighting, child-friendly cartoon aesthetic. Full-length view, the entire figure visible from head to feet, standing upright and centered — Anna, a cheerful big sister about five or six years old....

3D animated Cocomelon style, bright saturated colors, soft rounded shapes, warm cheerful lighting...

3D animated Cocomelon style, bright saturated colors, soft rounded shapes, warm cheerful lighting, child-friendly cartoon aesthetic. Детская зубная щетка ярко-синего цвета с мягкой щетиной. Округлая эргономичная ручка, современный дизайн, стиль 3D-анимации Cocomelon. Изолированный объект на...

Art style: 3D animated Cocomelon style, bright saturated colors, soft rounded shapes, warm cheerf...

Art style: 3D animated Cocomelon style, bright saturated colors, soft rounded shapes, warm cheerful lighting, child-friendly cartoon aesthetic. Cozy colorful bedroom, warm golden sunrise from the window. Benny (blue t-shirt, round face) asleep under bear-print sheets, eyes closed. A sunbeam lies...

3D animated Cocomelon style, bright saturated colors, soft rounded shapes, warm cheerful lighting...

3D animated Cocomelon style, bright saturated colors, soft rounded shapes, warm cheerful lighting, child-friendly cartoon aesthetic. Интерьер светлой ванной комнаты в стиле 3D-анимации Cocomelon. Белая раковина, зеркало с лампой над ним, кафельные стены. Округлые формы, мягкое освещение,...

3D animated Cocomelon style, bright saturated colors, soft rounded shapes, warm cheerful lighting...

3D animated Cocomelon style, bright saturated colors, soft rounded shapes, warm cheerful lighting, child-friendly cartoon aesthetic. Просторная кухня в стиле 3D-анимации Cocomelon с теплым желтым освещением от потолочной лампы. Большой обеденный стол, современные стулья и один высокий детский...

Art style: 3D animated Cocomelon style, bright saturated colors, soft rounded shapes, warm cheerf...

Art style: 3D animated Cocomelon style, bright saturated colors, soft rounded shapes, warm cheerful lighting, child-friendly cartoon aesthetic. Боб. Папа семьи, ~30-35 лет, высокий и добрый, тёмные короткие волосы, широкая улыбка, карие глаза, одет в клетчатую рубашку и брюки. 3D Cocomelon-стиль,...

Crea una richiesta

I controlli vengono generati dallo schema del modello. Il codice e il prezzo si aggiornano mentre li modifichi.

•obbligatorio

Istruzioni testuali per modificare l'immagine.

•obbligatorio image_urls
Trascina un file oppure

URL delle immagini di riferimento, con elaborazione limitata alle 10 voci finali quando l'elenco inviato supera il massimo supportato di 10 immagini.

image_size predefinito auto_2K

Dimensioni dell'immagine di output, con un numero totale di pixel compreso tra 1024x1024 e 2048x2048 e un rapporto d'aspetto compreso tra 1/16 e 16.

num_images predefinito 1

Numero di esecuzioni indipendenti della generazione del modello usando il prompt.

Avanzate output_format · enhance_prompt_mode
output_format predefinito jpeg

Formato del file dell'immagine di output.

enhance_prompt_mode predefinito standard

Impostazione per l'ottimizzazione del prompt: scegli `standard` per privilegiare la qualità dell'immagine o `fast` per un tempo di generazione più breve.

POST /run/bytedance/seedream/v5/pro/edit?wait=20 preventivo → 0,14 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bytedance/seedream/v5/pro/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Place the sneaker from image 1 on the desk of the office from image 2, natural lighting",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg",
      "https://content.doitong.com/images/gp/image_20260610003801_541d9719_316882.png"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Esegui questa richiesta

La tua chiave rimane in questo browser: viene inviata solo al Doitong API e salvata in localStorage solo se selezioni Ricorda. Ottieni una chiave API

Informazioni su Seedream 5.0 Pro Edit

Fornisci a Seedream 5.0 Pro fino a dieci immagini di riferimento (prodotti, loghi, persone, luoghi) e descrivi come combinarle o modificarle; mantiene fedeli i materiali e le scritte. Output tra 1 e 4 megapixel, fino a sei immagini per richiesta.

Parametri

Invia il nome canonico oppure il nome nativo, non entrambi. Nomi canonici

NomeTipo PredefinitoConsentiti Descrizione
promptobbligatorio
Tipostring
Istruzioni testuali per modificare l'immagine.
image_sizefacoltativo
Tipoobject
Predefinitoauto_2K
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9auto_1Kauto_2K
Dimensioni dell'immagine di output, con un numero totale di pixel compreso tra 1024x1024 e 2048x2048 e un rapporto d'aspetto compreso tra 1/16 e 16.
num_imagesfacoltativo num_outputs
Tipointeger
Predefinito1
1 – 6
Numero di esecuzioni indipendenti della generazione del modello usando il prompt.
output_formatfacoltativo
Tipoenum
Predefinitojpeg
jpegpng
Formato del file dell'immagine di output.
enhance_prompt_modefacoltativo
Tipoenum
Predefinitostandard
standardfast
Impostazione per l'ottimizzazione del prompt: scegli `standard` per privilegiare la qualità dell'immagine o `fast` per un tempo di generazione più breve.
image_urlsobbligatorio images
Tipourl[] · image
URL delle immagini di riferimento, con elaborazione limitata alle 10 voci finali quando l'elenco inviato supera il massimo supportato di 10 immagini.
obbligatorio Nome canonico, accettato anche

I parametri file accettano un URL pubblico https://, un URI data: fino a 10 MB oppure il file_url di un caricamento. File

Output

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bytedance/seedream/v5/pro/edit",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 140,
    "usd": "0.14",
    "charged": 140,
    "refunded": 0
  },
  "input": {
    "prompt": "Place the sneaker from image 1 on the desk of the office from image 2, natural lighting",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg",
      "https://content.doitong.com/images/gp/image_20260610003801_541d9719_316882.png"
    ]
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
I tuoi file, la tua sceltaOgni outputs[].url è una copia nella nostra archiviazione: conservata per sempre (a pagamento per GB-mese) oppure 7 giorni gratuitamente, in base all'impostazione dell'account o a ?storage=.
Stessa struttura per ogni modellotype, url, content_type, width, height e duration, per immagini, video e audio. output è l'oggetto risultato del modello.
Campi dell'output
images
array of object {url, content_type, file_name, file_size, width, height}Immagini prodotte dalla generazione.

Altri modelli: Modifica immagini

Per gli agenti AI: questa pagina in Markdown è disponibile all'indirizzo https://doitong.com/it/developers/models/bytedance/seedream/v5/pro/edit.md. Tutti i modelli e le guide: https://doitong.com/developers/llms.txt